Debian Bug report logs - #251983
libcwd: QPL license is non-free; package should not be in main

version graph

Package: libcwd; Maintainer for libcwd is Carlo Wood <carlo@alinoe.com>; Source for libcwd is src:libcwd.

Reported by: Nathanael Nerode <neroden@twcny.rr.com>

Date: Tue, 1 Jun 2004 00:03:01 UTC

Severity: serious

Tags: sarge-ignore

Merged with 258497

Fixed in version libcwd/0.99.38-2

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
New Bug report received and forwarded. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcwd: QPL license is non-free; package should not be in main
Date: Mon, 31 May 2004 19:47:24 -0400
Package: libcwd
Severity: serious
Justification: Policy 2.2.1

Debian-legal does not consider the QPL to be a free license, because of at
least two non-free restrictions.

(6c) requires forced distribution of modifications, which is onerous to
isolated developers:

     c. If the items are not available to the general public, and the
        initial developer of the Software requests a copy of the items,
        then you must supply one.

And there's a choice of venue clause, which is onerous to anyone who doesn't
live in Amsterdam:

	Disputes shall be settled by Amsterdam City Court.



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #10 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Nathanael Nerode <neroden@twcny.rr.com>, 251983@bugs.debian.org
Cc: Carlo Wood <carlo@alinoe.com>
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Tue, 1 Jun 2004 02:35:25 +0200
[Message part 1 (text/plain, inline)]
tags 251983 + wontfix upstream moreinfo help
thanks

also sprach Nathanael Nerode <neroden@twcny.rr.com> [2004.06.01.0147 +0200]:
> Debian-legal does not consider the QPL to be a free license,
> because of at least two non-free restrictions.

http://lists.debian.org/debian-legal/2003/debian-legal-200303/msg00459.html
http://lists.debian.org/debian-legal/2004/debian-legal-200404/msg00233.html

Until there is an official statement that the QPL is not DFSG-free,
I won't do anything about it.

> (6c) requires forced distribution of modifications, which is onerous to
> isolated developers:
> 
>      c. If the items are not available to the general public, and the
>         initial developer of the Software requests a copy of the items,
>         then you must supply one.

If the author can get in touch, then a means of communication
exists.

> And there's a choice of venue clause, which is onerous to anyone who doesn't
> live in Amsterdam:
> 
> 	Disputes shall be settled by Amsterdam City Court.

Nevertheless, Carlo: do you think you could put in a clause into
your COPYING file that gets rid of the Amsterdam restriction?
I don't think you need it.

Also, maybe you can devalue 6c. in an additional statement? I don't
think that would go against the reasons why you chose the QPL in the
first place.

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix, upstream, moreinfo, help Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Carlo Wood <carlo@alinoe.com>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #17 received at 251983@bugs.debian.org (full text, mbox):

From: Carlo Wood <carlo@alinoe.com>
To: martin f krafft <madduck@debian.org>
Cc: Nathanael Nerode <neroden@twcny.rr.com>, 251983@bugs.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Tue, 1 Jun 2004 03:44:48 +0200
On Tue, Jun 01, 2004 at 02:35:25AM +0200, martin f krafft wrote:
> also sprach Nathanael Nerode <neroden@twcny.rr.com> [2004.06.01.0147 +0200]:
> > Debian-legal does not consider the QPL to be a free license,
> > because of at least two non-free restrictions.

Which are?

> http://lists.debian.org/debian-legal/2003/debian-legal-200303/msg00459.html
> http://lists.debian.org/debian-legal/2004/debian-legal-200404/msg00233.html

<quote>
I see a problem with 

6.   c. If the items are not available to the general public, and the
        initial developer of the Software requests a copy of the items,
	then you must supply one.
</quote>

Yeah, I don't need that - but I am not a laywer so I am not going to
change the license.  The QPL is a well-known license and when I change
anything in it, I am not allowed anymore to call it 'QPL' - that will
confuse a lot of people and might seriously reduce the number of people
that use - and thus benefit from - my work.


<quote>
  What if I have my family-only private piece of software that I use
  together with the Software, and give that to my brother (i.e. I
  distribute it), and the initial developer knows about it, he can make me
  give it to him? Badly constructed examples, but this smells non-free to
  me.
</quote>

This is unlikely to be correct.  I am sure it only applies to the
modified source code of the original - not to whatever is linking with it.
The reason for 6c seems to be that if someone would modify the source by
fixing bugs - then I should have the right to get a copy of those bug fixes.
Not that I'd care to even ask if there wasn't a serious distribution in closed
source form.
If for example a company of the size of IBM would write a piece of
software that links with a modified libcwd - but only distributes their
code internally in IBM and not to the public - but are indirectly making
big money with it, and I know about that... then I might get annoyed
enough to ask a lawyer if this is really allowed - and if in that case
a lawsuit would be started for which it is necessary that we get a closer
look at those sources... THEN it might come in handy.
You have no idea how little I am interested in laws, licenses and courts;
but if debian only wants to distributes source code that IBM can use
internally at large without returning a copy of the bug fixes they applied
in order to use it (so that these can be put back into the debian release)
then by all means, refuse to include libcwd.

> Until there is an official statement that the QPL is not DFSG-free,
> I won't do anything about it.

What means DFSG?

> > (6c) requires forced distribution of modifications, which is onerous to
> > isolated developers:
> > 
> >      c. If the items are not available to the general public, and the
> >         initial developer of the Software requests a copy of the items,
> >         then you must supply one.
> 
> If the author can get in touch, then a means of communication
> exists.

The debian distribution is available to the general public.

> > And there's a choice of venue clause, which is onerous to anyone who doesn't
> > live in Amsterdam:
> > 
> > 	Disputes shall be settled by Amsterdam City Court.
> 
> Nevertheless, Carlo: do you think you could put in a clause into
> your COPYING file that gets rid of the Amsterdam restriction?
> I don't think you need it.

I surely hope that I won't need it!
OF COURSE I don't want to get ever involved with lawyers and courts.
Bah - I have better things to do, like coding.

But - why have a license at all when you cannot enforce it if ever
the need arrises?  No - it would be totally impossible for me to
travel to another country or defend my rights when it has to be
settled in some alien court with alien rules.

If someone feels he has to break the license - then he has to face
the consequences that his attempt to do so will be judged by a judge
from MY country.  I see no reason to make it easier for people who
attempt to screw the license.

It has come very clear to me that martin f krafft has no intention
to do anything that is not allowed according to the QPL - and as such
nor will "Debian" be doing that.  Therefore no court will be necessary
and thus it doesn't matter where such a court has to be settled.

But of course, the USERS of debian might want to not keep themselfs
to the licenses - in which case it would become valid.  But why would
"debian" care about such users or what they have to endure?  If you
think that your users should be reasonably ABLE to break the license
then the REAL problem is that you do not agree with the license, and
not with where the court has to be settled.

> Also, maybe you can devalue 6c. in an additional statement? I don't
> think that would go against the reasons why you chose the QPL in the
> first place.

I fully agree - I could do without 6c without any problem.
However - then it wouldn't be called the "QPL" anymore.  Besides I don't
want to change a license by myself; I am not a laywer.

Regards,

-- 
Carlo Wood <carlo@alinoe.com>




Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #22 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Carlo Wood <carlo@alinoe.com>
Cc: Nathanael Nerode <neroden@twcny.rr.com>, 251983@bugs.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Tue, 1 Jun 2004 12:42:29 +0200
[Message part 1 (text/plain, inline)]
also sprach Carlo Wood <carlo@alinoe.com> [2004.06.01.0344 +0200]:
> Which are?

6c and 'Amsterdam'

> Yeah, I don't need that - but I am not a laywer so I am not going
> to change the license.  The QPL is a well-known license and when
> I change anything in it, I am not allowed anymore to call it 'QPL'
> - that will confuse a lot of people and might seriously reduce the
> number of people that use - and thus benefit from - my work.

I don't think you have to change the licence. You shouldn't. You
just make a statement after the licence with which you explicitly
undo anything put forth in 6c, and with which you explicitly state
that you are not hardcoding the city court of Amsterdam to be the
one and only place of legal battle.

If you want, I can discuss this one debian-legal and let you know
the best procedure and wording.

> You have no idea how little I am interested in laws, licenses and
> courts;

I do ;^>

> but if debian only wants to distributes source code that IBM can
> use internally at large without returning a copy of the bug fixes
> they applied in order to use it (so that these can be put back
> into the debian release) then by all means, refuse to include
> libcwd.

I think that's a correct way of putting it, but it's not the way one
would look at it. Debian doesn't force IBM to return anything to the
community. But Debian's philosophy encourages everyone who uses it
to do so. I would say that, in fact, yes, there is a trust basis
here, and it probably won't hold stand in front of court, but do we
need to secure ourselves against all possible legal issues in the
open source world? I am a little idealistic, I acknowledge that.

> What means DFSG?

http://www.debian.org/social_contract#guidelines

> The debian distribution is available to the general public.

Yes, but the social contract states that people may derive from it
all that they want. We don't put limitations on the derived works.
It could be closed or open, modified or not.

This is largely how the QPL messes with us.

> But - why have a license at all when you cannot enforce it if ever
> the need arrises?  No - it would be totally impossible for me to
> travel to another country or defend my rights when it has to be
> settled in some alien court with alien rules.

Yes, I know.

> If someone feels he has to break the license - then he has to face
> the consequences that his attempt to do so will be judged by a judge
> from MY country.  I see no reason to make it easier for people who
> attempt to screw the license.

I agree, though it's not going to be easy. Say I screwed the
licence. What are you going to do now? An international suit?

> But of course, the USERS of debian might want to not keep
> themselfs to the licenses - in which case it would become valid.
> But why would "debian" care about such users or what they have to
> endure? 

Because Debian's users are first priority and we don't care what
they do or how they use the code. I am not sure I have an answer why
we categorically support those foul types, but by paragraph 5 of
the DFSG, we don't discriminate.

> If you think that your users should be reasonably ABLE to break
> the license then the REAL problem is that you do not agree with
> the license, and not with where the court has to be settled.

I agree with your motivations of the licence. In as such, it's not
DFSG-unfree. The court issue is a problem. And 6c. Both of which are
not needed. So if you override them, it should be fine.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Carlo Wood <carlo@alinoe.com>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #27 received at 251983@bugs.debian.org (full text, mbox):

From: Carlo Wood <carlo@alinoe.com>
To: martin f krafft <madduck@debian.org>
Cc: Nathanael Nerode <neroden@twcny.rr.com>, 251983@bugs.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Tue, 1 Jun 2004 19:51:09 +0200
On Tue, Jun 01, 2004 at 12:42:29PM +0200, martin f krafft wrote:
> I don't think you have to change the licence. You shouldn't. You
> just make a statement after the licence with which you explicitly
> undo anything put forth in 6c, and with which you explicitly state
> that you are not hardcoding the city court of Amsterdam to be the
> one and only place of legal battle.

Suppose I remove 6c - then the license is acceptable according to you,
except the choice of law.  Now lets assume that a legal battle will
be needed in the future - then that means that someone broke the
(acceptable) license.  I fail to see why such a person needs to be
free to choose the law under which he wants to fight me.

We talk about an established license called "QPL".
In the past I had an exchange with Troll Tech about the choice of
law and they stated that it was explicitely allowed to change the
choice of law and still call the license QPL: the essention and
intend of the license is not changed by this.  They used to have
this statement on a webpage too - but I can't find it back anymore.

The choice of law is my choice and not of the person who doesn't follow
the rules of the license.  I am convinced that the choice of law has
no influence on the *intend* of the license and as such cannot cause
a license to fail the DFSG - which only describes what the intend of
a license is (it is written in a general way).

As the DFSG, described on http://www.debian.org/social_contract#guidelines
says:

"Bruce Perens later removed the Debian-specific references from the
 Debian Free Software Guidelines to create “The Open Source Definition”."

That, together with the statement in the DFSG that,
<quote>
8 License Must Not Be Specific to Debian

The rights attached to the program must not depend on the program's being
part of a Debian system. If the program is extracted from Debian and used
or distributed without Debian but otherwise within the terms of the program's
license, all parties to whom the program is redistributed should have the
same rights as those that are granted in conjunction with the Debian system.
</quote>

shows that intend of the DFSG is equally well caught by what is
described on http://www.opensource.org/docs/definition.php.

Since http://www.opensource.org/docs/definition.php contains a rationale
for each guideline, I prefer to use that document as a base of this
discussion.

I might not be a lawyer, but I don't need to be.  This has been investigated
before already for us.  As you can read on http://www.opensource.org/licenses/
(left column) the QPL is an approved OSI license, which means it satisfies
the definition given on http://www.opensource.org/docs/definition.php.

The pressure put upon me to change the license of libcwd is driven by
either personal favours or misunderstandings.  There is no need to change
it as it satisfies the DFSG.  Unless your lawyers prove otherwise and
an explicit note on the debian website is made that the QPL does NOT satisfy
the DFSG I advise you to take no action and keep things as the are.

Until the above notices is added, I will certainly not change the license
of libcwd either.  Of course it is your free choice to not include libcwd
in debian but I think that would be totally unnecessary, both legally as
well as practically (I will never sue anyone unless they would do things
like forking libcwd, modifying it and distributing the result in a way
that is directly competitive with the userbase that I have; and do not
response to my kind emails with the request to stop this and instead
provide patches - so that I can chose to include them into libcwd, or not.
This point has everything to with DFSG point 4. Integrity of The Author's Source Code
which includes the statement 'This is a compromise. The Debian group
encourages all authors not to restrict any files, source or binary,
from being modified.' -- So, what happens is an encouragement Martin,
but they cannot force you to remove libcwd from debian (at least, not based
on these guidelines - which are just that anyway - guidelines.)

> Yes, but the social contract states that people may derive from it
> all that they want. We don't put limitations on the derived works.
> It could be closed or open, modified or not.

What a nonsense - not even the GPL allows closed derived works.

> I agree, though it's not going to be easy. Say I screwed the
> licence. What are you going to do now? An international suit?

You and me would know the law would be on my side.  We'd exchange
some emails and things would be settled out of court without travel
or lawyer expenses.  What we need is clarity in the license - I am
not anticipating on dealing with people who willingly screw the license
and laugh at me in my face.

> I agree with your motivations of the licence. In as such, it's not
> DFSG-unfree. The court issue is a problem. And 6c. Both of which are
> not needed. So if you override them, it should be fine.

I am definitely not going to change the choice of law.
Even if I would change the license entirely to something else
that can be used to discourage forking a project - then STILL and formost
I want to be able to sue people in my own country.  If I have to take
a plane to even be able to START a lawsuit - then I would lose that
in advance - such a license would be void concerning me.

[ Side note.  I wrote another piece of software once, a C++ demangler
for the new C++ ABI mangling sheme;  It was the first of its kind,
based on the draft of that ABI.  Also this piece of software was QPLed.
A few years later my implementation became very popular: lots of people
contacted me with the question of they could use it in their software
(but they'd need a different license then).  I told companies that they'd
have to pay for it - but the amount of money I mentioned scared them off
(weird, I only asked for 2 months of paycheck because that was what it
has costed me to write it).  Other were gdb and boost, which also demanded
me to put a lot of time into additional work (ie, boost wanted me to defend
the API design) for which I had no time.  Finally I was approached by
people of libstdc++ who wanted to use my demangler.  In this case I had
to LGPL it or something like that.  Ok, ... so in the end they convinced
me - I put in ADDITIONAL two months of work in the demangler to make it
perfect and integrate it in their source (I became the maintainer of it
of course) only to have to following result: My demangler revealed a lot
of bugs in their testsuite - AND I added a lot of tests to the testsuite
myself that their existing demangler did fail on (which is part of libiberty).
A discussion between the libstdc++ people and libiberty people started
about them using my demagler too - but they refused because it was written
in C++.  Someone finally rewrote the libiberty demangler in C (I assume
helped a lot by comment in my code and testsuite - its always handy to
have a reference implementation) and that discussion ended.  Then someone
figured out that now we had two demanglers and that was not right: then
they'd both need to be maintained.  And soon my demangler wasn't used at
all anymore.  It still is LGPL-ed however - AND I transfered the copyright
ownership to the FSF...  Ok, we got back that others were at least motivated
to write a GOOD demangler: the community still has a good demangler now,
thanks to my work no doubt.  But still... it makes me less and less interested
to give a damn about 'license change' requests. ]

I trust that debian will still include libcwd.

Thanks,

-- 
Carlo Wood <carlo@alinoe.com>



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #32 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Carlo Wood <carlo@alinoe.com>
Cc: Nathanael Nerode <neroden@twcny.rr.com>, 251983@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Wed, 2 Jun 2004 23:33:14 +0200
[Message part 1 (text/plain, inline)]
debian-legal, I am CC'ing y'all for hope of valuable input. Please
refer to http://bugs.debian.org/251983 for a history of this
discussion.

It's about the QPL, specifically term 6c. and the choice of legal
venue, which Nathanael claims to be in contradiction with the DFSG,
but which has never really been settled. The bugreport contains
links to previous discussion.

also sprach Carlo Wood <carlo@alinoe.com> [2004.06.01.1951 +0200]:
> The choice of law is my choice and not of the person who doesn't
> follow the rules of the license.  I am convinced that the choice
> of law has no influence on the *intend* of the license and as such
> cannot cause a license to fail the DFSG - which only describes
> what the intend of a license is (it is written in a general way).

i am also not clear on that. I don't think the DFSG denies a choice
of legal venue.

nevertheless, is it needed? imagine John Doe copies your software,
modifies it, and screws the licence. you can do one of two things:
prosecute john in his country, or prosecute john in your country.
the former's a pain and not possible due to financial issues. the
latter is what you'll do.

now, whether the licence states that your hometown is the chosen
legal venue or not does not make a difference to john doe. if john's
country shields him or does not cooperate in handing him over to
face the charges, then there's nothing you can do. john already
violated your licence. he'll laugh at you if you insist on the legal
venue choice.

the only time when such a choice of legal venue is relevant is when
someone chooses to prosecute you. but he can't, because the licence
exempts you from any liability. thus, no matter where there's
a prosecution, it's invalid because of terms in the licence.

> Since http://www.opensource.org/docs/definition.php contains
> a rationale for each guideline, I prefer to use that document as
> a base of this discussion.

Yes, I think that is possible.

> I might not be a lawyer, but I don't need to be.  This has been
> investigated before already for us.  As you can read on
> http://www.opensource.org/licenses/ (left column) the QPL is an
> approved OSI license, which means it satisfies the definition
> given on http://www.opensource.org/docs/definition.php.

DFSG is more restrictive than OSI, from what i understand. Maybe the
folks from debian legal can offer a concise comparison.

> The pressure put upon me to change the license of libcwd is driven
> by either personal favours or misunderstandings.  There is no need
> to change it as it satisfies the DFSG.  Unless your lawyers prove
> otherwise and an explicit note on the debian website is made that
> the QPL does NOT satisfy the DFSG I advise you to take no action
> and keep things as the are.

carlo, i am on your side. but let's try to get this settled once and
for all. let's get the QPL to be called
DFSG-free-but-not-favourable.

> from being modified.' -- So, what happens is an encouragement
> Martin, but they cannot force you to remove libcwd from debian (at
> least, not based on these guidelines - which are just that anyway
> - guidelines.)
 
note my initial reply to the bug...

> > Yes, but the social contract states that people may derive from
> > it all that they want. We don't put limitations on the derived
> > works. It could be closed or open, modified or not.
> 
> What a nonsense - not even the GPL allows closed derived works.

Many licenses are DFSG-free and not GPL. I personally dislike the
GPL for its "viral" feel. mr. balmer wasn't too wrong, but he didn't
refer to GNU, he referred to linux as a whole.

i release all my work under the artistic licence, or the
do-as-you-damned-well-please licence, or an attribution licence.
afaict, all these allow closed derivation. yet, they are all
dfsg-free.

the point is: the licence can put limitations on the software to
a certain degree. debian never increases these limitations, at least
not for dfsg-free licences.

> > I agree, though it's not going to be easy. Say I screwed the
> > licence. What are you going to do now? An international suit?
> 
> You and me would know the law would be on my side.

But if 'I' was someone malicious? Or if I would actually turn
against you and you'd find out that I just pretended to be on your
side? (don't worry... purely hypothetical)

> We'd exchange some emails and things would be settled out of court
> without travel or lawyer expenses.  What we need is clarity in the
> license - I am not anticipating on dealing with people who
> willingly screw the license and laugh at me in my face.

so what are you anticipating?

> I trust that debian will still include libcwd.

i hope so too. i really like it.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Glenn Maynard <g_deb@zewt.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #37 received at 251983@bugs.debian.org (full text, mbox):

From: Glenn Maynard <g_deb@zewt.org>
To: debian-legal@lists.debian.org
Cc: 251983@bugs.debian.org, Carlo Wood <carlo@alinoe.com>
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Wed, 2 Jun 2004 18:38:28 -0400
(Nathanael dropped from CC; I'm fairly certain he's subscribed.)

On Wed, Jun 02, 2004 at 11:33:14PM +0200, martin f krafft wrote:
> also sprach Carlo Wood <carlo@alinoe.com> [2004.06.01.1951 +0200]:
> > The choice of law is my choice and not of the person who doesn't
> > follow the rules of the license.  I am convinced that the choice
> > of law has no influence on the *intend* of the license and as such
> > cannot cause a license to fail the DFSG - which only describes
> > what the intend of a license is (it is written in a general way).
> 
> i am also not clear on that. I don't think the DFSG denies a choice
> of legal venue.

I'm a little confused by the license: it says "choice of law", but then
appears to make a choice of venue as well.  I'll quote Henning Makholm's
explanation:

"A choice-of-venue clause means that the user must agree to being sued in
a specific court of the author's choice whenever the author decides to
sue. By the nature of lawsuits, such a requirement takes effect before
the court decides whether the author's complaint is justified. As many
courts automatically rule against parties who does not meet in court,
choice-of-venue clauses implicitly bind the user to travel to a foreign
court at the whim of the author. 

In contrast, a choice-of-law merely specifies which jurisdiction's laws
will be used to resolve disputes over what the license text means.
Licenses with choice-of-law clauses can be free if the specified
jurisdiction's laws lead to an interpreation of the license text that
meets the guidelines."

> > Since http://www.opensource.org/docs/definition.php contains
> > a rationale for each guideline, I prefer to use that document as
> > a base of this discussion.

Neither OSI and Debian's rationale nor their interpretations of the text
are always in sync.  Using the OSI as a basis for interpreting the DFSG
leads to misunderstandings, such as ...

> There is no need to change it as it satisfies the DFSG.

It's unfortunate that Debian and the OSI don't always agree, but it's an
unavoidable result of the fact that they're two very different organizations.

> > Unless your lawyers prove
> > otherwise and an explicit note on the debian website is made that
> > the QPL does NOT satisfy the DFSG I advise you to take no action
> > and keep things as the are.

The DFSG is not a legal document; lawyers don't interpret it, Debian
developers (and other interested parties) do.  I'd recommend reading
section 8 of

  http://people.debian.org/~bap/dfsg-faq.html

-- 
Glenn Maynard



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Walter Landry <wlandry@ucsd.edu>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #42 received at 251983@bugs.debian.org (full text, mbox):

From: Walter Landry <wlandry@ucsd.edu>
To: madduck@debian.org
Cc: carlo@alinoe.com, neroden@twcny.rr.com, 251983@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Thu, 03 Jun 2004 22:15:26 -0400 (EDT)
martin f krafft <madduck@debian.org> wrote:
> debian-legal, I am CC'ing y'all for hope of valuable input. Please
> refer to http://bugs.debian.org/251983 for a history of this
> discussion.
> 
> It's about the QPL, specifically term 6c. and the choice of legal
> venue, which Nathanael claims to be in contradiction with the DFSG,
> but which has never really been settled. The bugreport contains
> links to previous discussion.

I think the problems with choice of venue are pretty settled.  I used
to think it wasn't a problem, but have been convinced otherwise.

As for 6c, I am convinced by the arguments in

  http://lists.debian.org/debian-legal/2003/03/msg00626.html
  http://lists.debian.org/debian-legal/2003/03/msg00626.html

which render its problems moot.  As long as the original author
agrees with that interpretation, the only problem left is the choice
of venue.

<snip>
> > The pressure put upon me to change the license of libcwd is driven
> > by either personal favours or misunderstandings.  There is no need
> > to change it as it satisfies the DFSG.  Unless your lawyers prove
> > otherwise and an explicit note on the debian website is made that
> > the QPL does NOT satisfy the DFSG I advise you to take no action
> > and keep things as the are.
> 
> carlo, i am on your side. but let's try to get this settled once and
> for all. let's get the QPL to be called
> DFSG-free-but-not-favourable.

Carlo, please don't take this personally.  The QPL is not the first
license that has changed from being DFSG-free to non-free after
subsequent evaluation.  It is unfortunate but inevitable.  The Gnu
Free Documentation License, in some cases, was considered free.  Then
Debian took a longer look at it and decided it wasn't.  Similarly,
there is talk that the IBM's Common Public License has problems as
well.  It is just the nature of how license evaluations are done.

Regards,
Walter Landry
wlandry@ucsd.edu




Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Carlo Wood <carlo@alinoe.com>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #47 received at 251983@bugs.debian.org (full text, mbox):

From: Carlo Wood <carlo@alinoe.com>
To: Walter Landry <wlandry@ucsd.edu>
Cc: madduck@debian.org, neroden@twcny.rr.com, 251983@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Fri, 4 Jun 2004 05:15:50 +0200
On Thu, Jun 03, 2004 at 10:15:26PM -0400, Walter Landry wrote:
> As for 6c, I am convinced by the arguments in
> 
>   http://lists.debian.org/debian-legal/2003/03/msg00626.html
>   http://lists.debian.org/debian-legal/2003/03/msg00626.html
> 
> which render its problems moot.  As long as the original author
> agrees with that interpretation, the only problem left is the choice
> of venue.

Assuming the second link was ment to be
http://lists.debian.org/debian-legal/2003/03/msg00519.html

then yes, I think that is the correct interpretation.
Although clause 3 and 4 seem to talk about The Software (my library)
and include a patch clause for that - QPL 6 is about writing
an application that links with (modified) software and seems
to state THIS software needs to be publically available (at
least to the original author of The Software, which is indeed
less restrictive than the GPL) - but, I agree that you might
as well use clauses 3 and 4 and consider the creation of an
application to be a modification.  Moreover, since such a modification
(being an application that uses The Software (the library)) would
only involve NEW files - a tar ball only including these
new files can be considered a 'patch' in my eyes - and hence
there is no need to use clause 6 at all for that.

Note that my interpretation is that clause 6 does not apply to
modifications to files of The Software - only to items that use
(link) with The Software:  It is not possible to modify The Software
by actually changing existing source files with my copyright notice
in it and then distributing that under another free-ish license; that
is only possible through clauses 3 and 4 - and thus through the
distribution of original + diff files.

If this is agreed upon by everyone - then it makes sense to talk
about the choice of venue versus choise of law thing.
Provided that libcwd WILL be included in Debian, I am willing to
change the wording of the last sentence into one that only states
a choice of law, not venue.  But then it must be very clear that
that is enough for making the license pass DFSG as such a change
would be irrevocable.

-- 
Carlo Wood <carlo@alinoe.com>



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #52 received at 251983@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 251983@bugs.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Sat, 5 Jun 2004 01:38:23 -0400
<posted & mailed>

Carlo Wood wrote:

> On Thu, Jun 03, 2004 at 10:15:26PM -0400, Walter Landry wrote:
>> As for 6c, I am convinced by the arguments in
>> 
>>   http://lists.debian.org/debian-legal/2003/03/msg00626.html
>>   http://lists.debian.org/debian-legal/2003/03/msg00626.html
>> 
>> which render its problems moot.  As long as the original author
>> agrees with that interpretation, the only problem left is the choice
>> of venue.
> 
> Assuming the second link was ment to be
> http://lists.debian.org/debian-legal/2003/03/msg00519.html
> 
> then yes, I think that is the correct interpretation.

OK.  Since you confirm that interpretation, then that clause is fine.  :-) 
Hooray!  Perhaps a link to that specification of the interpretation and
your confirmation of it should be put somewhere.  (In the package copyright
file?  On the debian-legal page?)

<snip>
> If this is agreed upon by everyone - then it makes sense to talk
> about the choice of venue versus choise of law thing.
> Provided that libcwd WILL be included in Debian, I am willing to
> change the wording of the last sentence into one that only states
> a choice of law, not venue.  But then it must be very clear that
> that is enough for making the license pass DFSG as such a change
> would be irrevocable.

Well, we went over it very carefully, and those two were the only problem
issues we saw.  I would be willing to say that that was enough, though I
obviously can't speak for everyone, let alone future generations of
debian-legal.




Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #57 received at 251983@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Carlo Wood <carlo@alinoe.com>
Cc: debian-legal@lists.debian.org, 251983@bugs.debian.org
Subject: Re: Bug#251983: libcwd: QPL license is non-free; package should not be in main
Date: Tue, 8 Jun 2004 00:11:35 -0500
[Message part 1 (text/plain, inline)]
On Sat, Jun 05, 2004 at 01:38:26AM -0400, Nathanael Nerode wrote:
> <snip>
> > If this is agreed upon by everyone - then it makes sense to talk
> > about the choice of venue versus choise of law thing.
> > Provided that libcwd WILL be included in Debian, I am willing to
> > change the wording of the last sentence into one that only states
> > a choice of law, not venue.  But then it must be very clear that
> > that is enough for making the license pass DFSG as such a change
> > would be irrevocable.

First of all, the Debian Project is not in a position to form a contract
with you, explicit or otherwise, as to whether we will distribute any
particular work as part of our operating system.

Please do not undertake any change in your licensing with the
understanding that there is a binding agreement between you and the
Debian Project -- e.g., you change your license, we promise to
distribute your work forever.

Apart from any principled reasons we might have to avoid making such
committments, as a practical matter, it would be nearly impossible for
us to hold to such a promise, as we are comprised entirely of
volunteers.  We are not in a position to, for example, make it a
condition of someone's employment that they keep libcwd packaged and fit
for shipment with the next release of Debian GNU/Linux at all times.

> Well, we went over it very carefully, and those two were the only problem
> issues we saw.

Second of all, the choice-of-law and choice-of-venue clauses were not
the "only problem issues we saw".

Clause 6c[1] of the QPL fails the desert island test[2].

Clause 3b[4] of the QPL forbids free-as-in-beer modification.  That is,
it demands consideration from the author of modifications -- even if
those modifications are distinctly copyrightable -- that are extended
exclusively to the copyright holder in the QPLed work, and not to the
downstream licensees of the modified version.

It is not Free to use your license to compel people to extend a license to
their works to you, above and beyond the reciprocity of your license to
them.

Finally, as a practical matter, the QPL is not GPL-compatible, and any
library licensed under its terms is going to pose exactly the same
problems to the Debian Project as KDE did[5] before the Qt library waas
dual-licensed under the GPL.

When Debian began distributing KDE, that meant nothing more than that
the GNU GPL was DFSG-free, not that the QPL was[6].

I would strongly encourage anyone using the QPL to dual-license their
work under the GNU GPL as well.  (And/or possibly the GNU LGPL,
depending on the problem space their work is meant to attack.)  But
don't just take my word for it.  Ask TrollTech:

  Why does Trolltech dual-license its products?

  Trolltech aims to make the best multiplatform development tool in the world.
  By selling a commercial license, we are able to staff a full-time dedicated
  development team and are able to provide first class support.

  By licensing our products under open source licenses, we are also an active
  part of the open source community. This community has played an important
  role in ensuring the stability and quality of our products. Free software
  developers around the world actively participate in our beta testing cycle.
  As a result, our products reach commercial stability far more quickly (and
  are more thoroughly tested) than standard frameworks. We call this our
  Virtuous Cycle.

  Additionally, the open source community provides:
        An extensive pool of knowledge and expertise

        Free add-on applications, libraries, components and tools (for both
        commercial and free development)

        Books and tutorials[7]

[1] 6. You may develop application programs, reusable components and other
    software items that link with the original or modified versions of
    the Software. These items, when distributed, are subject to the
    following requirements:
  [...]
    c. If the items are not available to the general public, and the
    initial developer of the Software requests a copy of the items, then
    you must supply one.

[2] Q: How can I tell if a license is a free software license, by
       Debian's standards?

    A: The process involves human judgement. The DFSG is an attempt to
    articulate our criteria. But the DFSG is not a contract. This means
    that if you think you've found a "loophole" in the DFSG then you
    don't quite understand how this works. The DFSG is a potentially
    imperfect attempt to express what "freeness" in software means to
    Debian. It is not something whose letter we argue about. It is not a
    law. Rather, it is a set of guidelines.

    That said, the DFSG is a good start. You might also consider a few
    thought experiments which we often apply. But do keep in mind that
    passing some set of tests is not all there is to freeness. These
    tests aren't the final word either - some other tricky bit of
    nonfreeness might be invented which is not covered by any of our
    current tests, or something might fail a test as it's currently
    worded but still be determined to be free software.

       1. The Desert Island test.

          Imagine a castaway on a desert island with a solar-powered
          computer. This would make it impossible to fulfil any
          requirement to make changes "publicly available" or to send
          patches to some particular place. This holds even if such
          requirements are only "upon request", as the castaway might be
          able to receive messages but be unable to send them. To be
          free, software must be modifiable by this unfortunate
          castaway, who must also be able to legally share modifications
          with friends on the island.[3]

[3] http://people.debian.org/~bap/dfsg-faq.html

[4] 3. You may make modifications to the Software and distribute your
    modifications, in a form that is separate from the Software, such as
    patches. The following restrictions apply to modifications:
  [...]
    b. When modifications to the Software are released under this
    license, a non-exclusive royalty-free right is granted to the
    initial developer of the Software to distribute your modification
    in future versions of the Software provided such versions remain
    available under these terms in addition to any other license(s) of
    the initial developer.

[5] http://www.debian.org/News/1998/19981008
[6] http://www.trolltech.com/newsroom/announcements/00000043.html
[7] http://www.trolltech.com/company/model.html

-- 
G. Branden Robinson                |      Why should I allow that same God
Debian GNU/Linux                   |      to tell me how to raise my kids,
branden@debian.org                 |      who had to drown His own?
http://people.debian.org/~branden/ |      -- Robert Green Ingersoll
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to "Brian M\. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #62 received at 251983@bugs.debian.org (full text, mbox):

From: "Brian M\. Carlson" <sandals@crustytoothpaste.ath.cx>
To: Carlo Wood <carlo@alinoe.com>, debian-legal@lists.debian.org, 251983@bugs.debian.org
Subject: Please remove libcwd from main
Date: Fri, 9 Jul 2004 20:43:32 +0000
-----BEGIN PGP SIGNED MESSAGE-----

Please remove libcwd from main and put it in non-free. I will request 
removal of this package if you do not.

Thank you, and have a nice day.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iQEVAwUBQO8De+WR/8lWBVPnAQHprgf9H1ypIkL3cvDgGPuI8LgfLWyQLNvM3n4d
3e50Q7Mla7hkwrRVcbMxpDHaEYu2dyOY5FH3wYvkqPzUZRg+TG7O+0y6RCST4qV2
sN33VYGs1hoE22lP2zVn6C/G3sxNGqdAmkb1YpAh1DQTI9cALBGLSBACRZopobPh
IGcQ4KqoOY9Pa8ycZt06X4PogA/4j+8JIoJ2eA9ypouNgJOy0HyhIb+qVmGYWBHY
fNcMaJcd4t4CsY+MLWBO3njftzBhxJ5oACjqA5WBPjDyVudShNWyVP1KL7VstXjK
Ma7IDS4fz9aHkdXPLm63j+kDTm0jBLLmigHjxiqZVd+v8vaaZBoAIQ==
=Dcux
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #67 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: sandals@crustytoothpaste.ath.cx
Cc: 251983@bugs.debian.org, control@bugs.debian.org, Carlo Wood <carlo@alinoe.com>, debian-legal@lists.debian.org
Subject: Re: Bug#251983: Please remove libcwd from main
Date: Fri, 9 Jul 2004 23:00:10 +0200
[Message part 1 (text/plain, inline)]
tags 251983 + wontfix moreinfo
thanks

also sprach Brian M. Carlson <sandals@crustytoothpaste.ath.cx> [2004.07.09.2243 +0200]:
> Please remove libcwd from main and put it in non-free. I will
> request removal of this package if you do not.

As long as there is no official statement on the QPL, I will not
move this package to non-free.

Please check

  http://wiki.debian.net/index.cgi?DFSGLicences

and provide the appropriate information needed to settle the issue.
Also make sure to read the entire bug thread carefully and note
where the author would be willing to compromise.

Currently, the QPL is assumed to be DFSG-compatible though not
favourable. Until I hear a majority of votes that this is not the
case, I will not take any steps and I will vigorously oppose any
requests to remove it from main.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix, moreinfo Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to "Brian M\. Carlson" <sandals@crustytoothpaste.ath.cx>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #74 received at 251983@bugs.debian.org (full text, mbox):

From: "Brian M\. Carlson" <sandals@crustytoothpaste.ath.cx>
To: control@bugs.debian.org, 251983@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Please remove libcwd from main; it is licensed under the QPL, which is non-free.
Date: Fri, 9 Jul 2004 21:22:52 +0000
-----BEGIN PGP SIGNED MESSAGE-----

clone 251983 -1
reassign -1 ftp.debian.org
thanks, control, and have a nice day

debian-legal has adjudged the QPL non-free, and the maintainer refuses 
to move this package to non-free; therefore, I am requesting its 
removal in an effort to lower the number of RC bugs. See the -legal 
discussion [0].

[0] http://lists.debian.org/debian-legal/2004/06/msg00016.html
Summary at: http://lists.debian.org/debian-legal/2004/06/msg00131.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iQEVAwUBQO8Ms+WR/8lWBVPnAQEs5wf9ERaNl9MzxeH5qFVM1nC1Se3yAocKQ723
+9LBzsTHygelPYJ+gXw3TusVAcUt7lQ6D/pyOXSV5m7MpSxoFop7KMIpNQYtMh0Y
Tlrh1aetN85WE4UtTtZnaxeIq0w2ZoznRcjziuacNnp3TvgnSJE5nJJ+8hkG21A5
kEfpVS64+juoteX72g4JI9DYTBQV45UvwvrjcCWjSV9OhQF/3M4WGWg3oyzLXnxM
bwudEkMIp4ra1kVHTceUYjabQkzffsTmTuJM7443SnfqUb8WtvzaCRolgzQSVG/S
XVHWyb+PRi7fylj9RWXPHRq+SBd36ewgjbq0/TnwBexEGxncfUIgBw==
=CGFq
-----END PGP SIGNATURE-----



Bug 251983 cloned as bug 258497. Request was from "Brian M\. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: upstream Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #85 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx>, 251983@bugs.debian.org, 258497@bugs.debian.org
Cc: control@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#251983: Please remove libcwd from main; it is licensed under the QPL, which is non-free.
Date: Fri, 9 Jul 2004 23:49:25 +0200
[Message part 1 (text/plain, inline)]
severity 258497 wishlist
tags 258497 + moreinfo
thanks

also sprach Brian M. Carlson <sandals@crustytoothpaste.ath.cx> [2004.07.09.2322 +0200]:
> debian-legal has adjudged the QPL non-free, and the maintainer
> refuses to move this package to non-free;

You are misrepresenting. I was not convinced by the debian-legal
thread and I don't have the time to go through it again.

Thus, until you read all the relevant information and give some
valuable input, I ask you to please stop trolling.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #90 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: carlo@alinoe.com
Cc: 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Moving libcwd to Debian non-free
Date: Sat, 2 Oct 2004 21:48:40 +0200
[Message part 1 (text/plain, inline)]
Carlo,

I am sorry to inform you that I have decided to move libcwd to
Debian's non-free archive, where it will enjoy less support. The
debian-legal team has deemed the QPL to be not DFSG-free, and even
though I completely understand and subscribe to your rationale, I am
not capable of sustaining it in main any longer.

You will find additional information on our Wiki:

  http://wiki.debian.net/index.cgi?DFSGLicences

Should you ever decide to change the libcwd licence, or to
dual-licence it (must not be Debian-specific), then I will gladly
move the library back to the main archive.

Cheers,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #98 received at 251983@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:08:24 +0200
On Sat, Oct 02, 2004 at 09:48:40PM +0200, martin f krafft wrote:
> Carlo,
> 
> I am sorry to inform you that I have decided to move libcwd to
> Debian's non-free archive, where it will enjoy less support. The
> debian-legal team has deemed the QPL to be not DFSG-free, and even
> though I completely understand and subscribe to your rationale, I am
> not capable of sustaining it in main any longer.

Hi Martin,

How many packages depend on this library?  These should be moved to contrib,
and if they're not many you could consider removing libcwd along with them,
too.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Message #101 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:13:20 +0200
[Message part 1 (text/plain, inline)]
also sprach Robert Millan <rmh@debian.org> [2004.10.04.1908 +0200]:
> How many packages depend on this library?  These should be moved
> to contrib, and if they're not many you could consider removing
> libcwd along with them, too.

Consider removing it? Why?

Anyway, I doubt there is a single package that depends on libcwd.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #112 received at 251983@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:26:01 +0200
On Mon, Oct 04, 2004 at 07:13:20PM +0200, martin f krafft wrote:
> also sprach Robert Millan <rmh@debian.org> [2004.10.04.1908 +0200]:
> > How many packages depend on this library?  These should be moved
> > to contrib, and if they're not many you could consider removing
> > libcwd along with them, too.
> 
> Consider removing it? Why?
> 
> Anyway, I doubt there is a single package that depends on libcwd.

We provide non-free packages when our users require them (Social Contract). If
there's no demand for libcwd there's no reason to provide it.  This is you as
the maintainer who should judge that.

I think it's specialy appropiate to take this in consideration for a library
that has no reverse dependencies.

Of course, maybe we should just wait for a response from upstream and see if
they want to re-license :).

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Message #118 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:31:56 +0200
[Message part 1 (text/plain, inline)]
also sprach Robert Millan <rmh@debian.org> [2004.10.04.1926 +0200]:
> We provide non-free packages when our users require them (Social
> Contract). If there's no demand for libcwd there's no reason to
> provide it.  This is you as the maintainer who should judge that.

I need the package myself.

> I think it's specialy appropiate to take this in consideration for
> a library that has no reverse dependencies.

Right. So how do I reach out to the 17 users popcon lists?

> Of course, maybe we should just wait for a response from upstream
> and see if they want to re-license :).

Unlikely. But you never know.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #123 received at 251983@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:34:31 +0200
On Mon, Oct 04, 2004 at 07:31:56PM +0200, martin f krafft wrote:
> also sprach Robert Millan <rmh@debian.org> [2004.10.04.1926 +0200]:
> > We provide non-free packages when our users require them (Social
> > Contract). If there's no demand for libcwd there's no reason to
> > provide it.  This is you as the maintainer who should judge that.
> 
> I need the package myself.
> [...]
> Right. So how do I reach out to the 17 users popcon lists?

Well, that counts a few users indeed. :)

Anyway, as a sidenote I encourage you to find an alternative if the licensing
problem cannot be solved.

-- 
 .''`.   Proudly running Debian GNU/kFreeBSD unstable/unreleased (on UFS2+S)
: :' :
`. `'    http://www.debian.org/ports/kfreebsd-gnu
  `-



Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to madduck@debian.org (martin f. krafft). Full text and rfc822 format available.

Message #128 received at 251983@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: martin f krafft <madduck@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 19:35:37 +0200
reassign 251983 libcwd
tags 251983 - upstream
thanks

On Sat, Oct 02, 2004 at 09:48:40PM +0200, martin f krafft wrote:
> I am sorry to inform you that I have decided to move libcwd to
> Debian's non-free archive,

Moving from main to non-free can and should be done by the maintainer,
and is not a task ftp-masters will perform.

Thanks,
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Bug reassigned from package `libcwd' to `libcwd'. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: upstream Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, madduck@debian.org (martin f. krafft):
Bug#251983; Package libcwd. Full text and rfc822 format available.

Message #144 received at 251983@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: carlo@alinoe.com, 251983@bugs.debian.org, 258497@bugs.debian.org, 251983-submitter@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Moving libcwd to Debian non-free
Date: Mon, 4 Oct 2004 20:17:31 +0200
[Message part 1 (text/plain, inline)]
also sprach Robert Millan <rmh@debian.org> [2004.10.04.1934 +0200]:
> Anyway, as a sidenote I encourage you to find an alternative if
> the licensing problem cannot be solved.

Sure. I doubt there is one though. Then again, I am likely not going
to need all the functionality. So yes, maybe I'll just drop it
alltogether.

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[signature.asc (application/pgp-signature, inline)]

Message sent on to Nathanael Nerode <neroden@twcny.rr.com>:
Bug#251983. Full text and rfc822 format available.

Tags set to: pending Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge-ignore Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 251983 258497. Request was from madduck@cirrus.madduck.net (martin f. krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nathanael Nerode <neroden@twcny.rr.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #160 received at 251983-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 251983-close@bugs.debian.org
Subject: Bug#251983: fixed in libcwd 0.99.38-2
Date: Thu, 14 Oct 2004 00:58:48 -0400
Source: libcwd
Source-Version: 0.99.38-2

We believe that the bug you reported is fixed in the latest version of
libcwd, which is due to be installed in the Debian FTP archive:

libcwd-dev_0.99.38-2_i386.deb
  to pool/non-free/libc/libcwd/libcwd-dev_0.99.38-2_i386.deb
libcwd-doc_0.99.38-2_all.deb
  to pool/non-free/libc/libcwd/libcwd-doc_0.99.38-2_all.deb
libcwd0-dbg_0.99.38-2_i386.deb
  to pool/non-free/libc/libcwd/libcwd0-dbg_0.99.38-2_i386.deb
libcwd0_0.99.38-2_i386.deb
  to pool/non-free/libc/libcwd/libcwd0_0.99.38-2_i386.deb
libcwd_0.99.38-2.diff.gz
  to pool/non-free/libc/libcwd/libcwd_0.99.38-2.diff.gz
libcwd_0.99.38-2.dsc
  to pool/non-free/libc/libcwd/libcwd_0.99.38-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 251983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated libcwd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  2 Oct 2004 21:41:29 +0200
Source: libcwd
Binary: libcwd-doc libcwd0 libcwd-dev libcwd0-dbg
Architecture: source all i386
Version: 0.99.38-2
Distribution: unstable
Urgency: low
Maintainer: martin f. krafft <madduck@debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 libcwd-dev - a C++ debugging support library
 libcwd-doc - a C++ debugging support library
 libcwd0    - a C++ debugging support library
 libcwd0-dbg - a C++ debugging support library
Closes: 251983 258497
Changes: 
 libcwd (0.99.38-2) unstable; urgency=low
 .
   * Moved libcwd to non-free because of the QPL licence, which is deemed
     non-free. The author refuses to do anything about it, unfortunately.
     I will move it back to main when the situation improves
     (closes: Bug#258497, Bug#251983).
Files: 
 061ce9e9d0cc5e60128a34177b5aaa0d 670 non-free/libs optional libcwd_0.99.38-2.dsc
 6cf9d0c9219919eb3c3be2cb57f95192 12316 non-free/libs optional libcwd_0.99.38-2.diff.gz
 437e1fc11e779d23a10ad49b61b6813e 559840 non-free/doc optional libcwd-doc_0.99.38-2_all.deb
 1deff7938056a0ac1b33afd2e9a19508 63308 non-free/libdevel optional libcwd-dev_0.99.38-2_i386.deb
 ebb765a616187f961fc6c6ed6164ad51 313448 non-free/libs optional libcwd0_0.99.38-2_i386.deb
 290911e0541a0d67fc9ad2b50c9507ea 2158526 non-free/libdevel optional libcwd0-dbg_0.99.38-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iEYEARECAAYFAkFfBgEACgkQIgvIgzMMSnV40QCfTQhshfNktauHLFXgIqTb7BVS
g64An2zCswYkVvS3wkXTIFafTKdyADze
=v8YE
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:34:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.